DEFINITION MODULE PCEipc;

FROM K32baseTypes IMPORT

	cardinal32, cardinal8;

FROM K32types IMPORT

	msgStruct;

EXPORT QUALIFIED

	PCEmsgStruct;

TYPE

	PCEmsgStruct = RECORD
		CASE cardinal32 OF
		    0:
			KER : msgStruct;
		|   1:
			event : cardinal8;   (* always ETssp *)
			pcemsg : pceMsg;
		END;
	END;

END PCEipc.
